Loading...
Searching...
No Matches
gsx.c File Reference

OGSF library - loading and manipulating surfaces. More...

`#include <grass/ogsf.h>`
Include dependency graph for gsx.c:

Go to the source code of this file.

## Functions

int | GS_check_cancel (void)
| Check for cancel.
void | GS_set_cancel (int c)
| Set cancel.
void | GS_set_cxl_func (void(*f)(void))
| Set cxl function.

## Variables

void(* | Cxl_func )(void)

## Detailed Description

OGSF library - loading and manipulating surfaces.

GRASS OpenGL gsurf OGSF Library

(C) 1999-2008 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Bill Brown USACERL (December 1993)
  Doxygenized by Martin Landa <landa.martin gmail.com> (May 2008)

Definition in file gsx.c.

## Function Documentation

## GS_check_cancel()

int GS_check_cancel | ( | void |  | ) |

Check for cancel.

Returns
  code

Definition at line 30 of file gsx.c.

References Cxl_func.

Referenced by gpd_2dsite(), gpd_3dsite(), gsd_norm_arrows(), gsd_ortho_wall(), gsd_surf_const(), gsd_surf_map(), gsd_surf_map_old(), gvd_vect(), and gvld_isosurf().

## GS_set_cancel()

void GS_set_cancel | ( | int | c | ) |

Set cancel.

Definition at line 40 of file gsx.c.

## GS_set_cxl_func()

void GS_set_cxl_func | ( | void(* | f )(void) | ) |

Set cxl function.

Parameters

  f | pointer to function

Definition at line 52 of file gsx.c.

References Cxl_func.

## Variable Documentation

## Cxl_func

void(* Cxl_func) (void) | ( | void |  | ) |

Definition at line 21 of file gsx.c.

Referenced by GS_check_cancel(), GS_libinit(), and GS_set_cxl_func().